import request from '/@/utils/request';

/**
 * （不建议写成 request.post(xxx)，因为这样 post 时，无法 params 与 data 同时传参）
 *
 * 登录api接口集合
 * @method signIn 用户登录
 * @method signOut 用户退出登录
 * @method login 用户登录--接口式
 * @method getUserInfo 用户详情--接口式
 */
export function homeApi() {
    return {
        index: (params?: object) => {
            return request({
                url: '/chart/home/v1',
                method: 'get',
                params,
            });
        },
        xgmm: (data?: object) => {
            return request({
                url: '/system/user/v1/changePassword',
                method: 'post',
                data,
            });
        },
    };
}
